Start a conversation
curl --request POST \
--url https://api.usecerium.com/v1/conversations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customerId": "prt_8271",
"body": "Hi, I was charged twice for order 1042.",
"idempotencyKey": "order-1042-first-message"
}
'import requests
url = "https://api.usecerium.com/v1/conversations"
payload = {
"customerId": "prt_8271",
"body": "Hi, I was charged twice for order 1042.",
"idempotencyKey": "order-1042-first-message"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerId: 'prt_8271',
body: JSON.stringify('Hi, I was charged twice for order 1042.'),
idempotencyKey: 'order-1042-first-message'
})
};
fetch('https://api.usecerium.com/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usecerium.com/v1/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'customerId' => 'prt_8271',
'body' => 'Hi, I was charged twice for order 1042.',
'idempotencyKey' => 'order-1042-first-message'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.usecerium.com/v1/conversations"
payload := strings.NewReader("{\n \"customerId\": \"prt_8271\",\n \"body\": \"Hi, I was charged twice for order 1042.\",\n \"idempotencyKey\": \"order-1042-first-message\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.usecerium.com/v1/conversations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customerId\": \"prt_8271\",\n \"body\": \"Hi, I was charged twice for order 1042.\",\n \"idempotencyKey\": \"order-1042-first-message\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usecerium.com/v1/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customerId\": \"prt_8271\",\n \"body\": \"Hi, I was charged twice for order 1042.\",\n \"idempotencyKey\": \"order-1042-first-message\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Message received.",
"status": "success",
"data": {
"id": "msg_5d1c",
"conversationId": "thr_01k9z3m4q8",
"from": "customer",
"senderType": "customer",
"senderName": "Ada Obi",
"body": "<string>",
"attachments": [
{
"url": "<string>",
"fileName": "<string>",
"mimeType": "<string>",
"size": 1
}
],
"status": "sent",
"sentAt": "2023-11-07T05:31:56Z"
}
}{
"message": "Message received.",
"status": "success",
"data": {
"id": "msg_5d1c",
"conversationId": "thr_01k9z3m4q8",
"from": "customer",
"senderType": "customer",
"senderName": "Ada Obi",
"body": "Hi, I was charged twice for order 1042.",
"attachments": [],
"status": "sent",
"sentAt": "2026-11-20T09:15:00.000Z"
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": [
"email must be an email"
]
}{
"statusCode": 401,
"message": "Authentication token is missing."
}{
"statusCode": 403,
"message": "This key cannot do that."
}{
"code": "participant_not_found",
"message": "No customer has that id."
}{
"code": "contact_blocked",
"message": "This contact is blocked."
}{
"message": "<string>",
"code": "<string>",
"statusCode": 123,
"error": "<string>"
}Conversations
Start a conversation
Creates a conversation with the customer’s first message. Name the customer with customerId.
Send an idempotencyKey so a retry does not start a second conversation.
Required scope: conversations:write.
POST
/
conversations
Start a conversation
curl --request POST \
--url https://api.usecerium.com/v1/conversations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customerId": "prt_8271",
"body": "Hi, I was charged twice for order 1042.",
"idempotencyKey": "order-1042-first-message"
}
'import requests
url = "https://api.usecerium.com/v1/conversations"
payload = {
"customerId": "prt_8271",
"body": "Hi, I was charged twice for order 1042.",
"idempotencyKey": "order-1042-first-message"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerId: 'prt_8271',
body: JSON.stringify('Hi, I was charged twice for order 1042.'),
idempotencyKey: 'order-1042-first-message'
})
};
fetch('https://api.usecerium.com/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usecerium.com/v1/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'customerId' => 'prt_8271',
'body' => 'Hi, I was charged twice for order 1042.',
'idempotencyKey' => 'order-1042-first-message'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.usecerium.com/v1/conversations"
payload := strings.NewReader("{\n \"customerId\": \"prt_8271\",\n \"body\": \"Hi, I was charged twice for order 1042.\",\n \"idempotencyKey\": \"order-1042-first-message\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.usecerium.com/v1/conversations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customerId\": \"prt_8271\",\n \"body\": \"Hi, I was charged twice for order 1042.\",\n \"idempotencyKey\": \"order-1042-first-message\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usecerium.com/v1/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customerId\": \"prt_8271\",\n \"body\": \"Hi, I was charged twice for order 1042.\",\n \"idempotencyKey\": \"order-1042-first-message\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Message received.",
"status": "success",
"data": {
"id": "msg_5d1c",
"conversationId": "thr_01k9z3m4q8",
"from": "customer",
"senderType": "customer",
"senderName": "Ada Obi",
"body": "<string>",
"attachments": [
{
"url": "<string>",
"fileName": "<string>",
"mimeType": "<string>",
"size": 1
}
],
"status": "sent",
"sentAt": "2023-11-07T05:31:56Z"
}
}{
"message": "Message received.",
"status": "success",
"data": {
"id": "msg_5d1c",
"conversationId": "thr_01k9z3m4q8",
"from": "customer",
"senderType": "customer",
"senderName": "Ada Obi",
"body": "Hi, I was charged twice for order 1042.",
"attachments": [],
"status": "sent",
"sentAt": "2026-11-20T09:15:00.000Z"
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": [
"email must be an email"
]
}{
"statusCode": 401,
"message": "Authentication token is missing."
}{
"statusCode": 403,
"message": "This key cannot do that."
}{
"code": "participant_not_found",
"message": "No customer has that id."
}{
"code": "contact_blocked",
"message": "This contact is blocked."
}{
"message": "<string>",
"code": "<string>",
"statusCode": 123,
"error": "<string>"
}Authorizations
Body
application/json